function toggleSidebar(aCommandID, forceOpen) {
    var sidebarBox = document.getElementById("sidebar-box");
    if (!aCommandID)
      aCommandID = sidebarBox.getAttribute("sidebarcommand");
    if (!aCommandID)
      aCommandID = "viewAddressPicker";

    var elt = document.getElementById(aCommandID);
    var sidebar = document.getElementById("sidebar");
    var sidebarTitle = document.getElementById("sidebar-title");
    var sidebarTitleBox = document.getElementById("sidebar-title-box");
    var sidebarSplitter = document.getElementById("sidebar-splitter");

    var sidebarPanelsSplitter = document.getElementById("sidebar-panels-splitter");
    var sidebarPanelsSplitterBox = document.getElementById("sidebar-panels-splitter-box");
    var sidebarMenuItem = document.getElementById("sidebar-menu");

    if ((!forceOpen && elt && elt.getAttribute("checked") == "true")) {
      elt.removeAttribute("checked");
      sidebarTitle.setAttribute("value", "");
      sidebar.removeAttribute("src");

      var hideEverything = sidebarPanelsSplitter.getAttribute("hidden") == "true";
      if (hideEverything) {
        dump("\nSidebar: Hide everything");
        sidebarBox.collapsed = true;
        sidebarBox.hidden = true;
        sidebarBox.setAttribute("sidebarVisible", "false");
        //sidebarBox.setAttribute("sidebarcommand", "");
        sidebarSplitter.hidden = true;
      } else {
        sidebarPanelsSplitter.hidden = true;
      }
      sidebarTitleBox.hidden = true;
      sidebarPanelsSplitterBox.collapsed = true;
      sidebarPanelsSplitterBox.hidden = true; // test
      sidebarMenuItem.setAttribute("checked", "false");

      window.content.focus();
      return;
    }

    sidebarBox.hidden = false;
    sidebarBox.removeAttribute("collapsed");
    sidebarBox.setAttribute("sidebarVisible", "true");
    sidebarTitleBox.hidden = false;
    sidebarPanelsSplitterBox.hidden = false;
    sidebarPanelsSplitterBox.removeAttribute("collapsed");
    sidebarMenuItem.setAttribute("checked", "true");

    sidebarSplitter.hidden = false;
    if (sidebarSplitter.getAttribute("state") == "collapsed")
      sidebarSplitter.removeAttribute("state");

    var elts = document.getElementsByAttribute("group", "sidebar");
    for (var i = 0; i < elts.length; i++)
      elts[i].removeAttribute("checked");

    elt.setAttribute("checked", "true");

    var url = elt.getAttribute("sidebarurl");
    var title = elt.getAttribute("sidebartitle");
    if (!title)
      title = elt.getAttribute("label");
    sidebar.setAttribute("src", url);
    sidebarBox.setAttribute("src", url);
    sidebarBox.setAttribute("sidebarcommand", elt.id);
    sidebarTitle.setAttribute("value", title);
    document.persist("sidebar-box", "sidebarcommand");
    document.persist("sidebar-box", "width");
    document.persist("sidebar-box", "src");
    document.persist("sidebar-title-box", "hidden");
    document.persist("sidebar-title", "value");
    document.persist("sidebar-splitter", "hidden");
    document.persist("sidebar-splitter", "state");

    window.content.focus();
}

function tsbInit() {

  window.removeEventListener("load", tsbInit, false);

  var cssplit = document.getElementById("contacts-pane-splitter");
  if (cssplit) {
    cssplit.parentNode.removeChild(cssplit.nextSibling);
    cssplit.parentNode.removeChild(cssplit);
    document.loadOverlay("chrome://moji/content/tsbSidebar.xul", null)
  }

}

window.addEventListener("load", tsbInit, false);